Bug 473819 - no xvideo : xvinfo shows no adaptor present when nomodeset not set
no xvideo : xvinfo shows no adaptor present when nomodeset not set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 16:56 EST by Hin-Tak Leung
Modified: 2018-04-11 08:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my Xorg.0.log with radeonhd and dri (179.90 KB, text/plain)
2008-12-05 20:06 EST, Hin-Tak Leung
no flags Details
Xorg.0.log, with koji build a few hours ago, still no xvideo (179.90 KB, text/plain)
2008-12-05 23:02 EST, Hin-Tak Leung
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19057 None None None Never

  None (edit)
Description Hin-Tak Leung 2008-11-30 16:56:04 EST
Description of problem:
xvinfo shows no adaptor present.


Version-Release number of selected component (if applicable):

some taken from koji:
kernel-2.6.27.7-132.fc10 
xorg-x11-drv-radeonhd-1.2.3-1.6.20081128git.fc10
xorg-x11-server-Xorg-1.5.3-5.fc10 


How reproducible:
always

Steps to Reproduce:
1. boot with xorg.conf configured to use radeonhd
2. run xvinfo
3.
  
Actual results:
no adaptor present.

Expected results:
shows some adaptors.


Additional info:
Am trying out radeonhd, and radeon with various EXA/XAA accelerations, so I have a few bugs with different configurations. The differences are not mistakes.
Comment 1 Hans Ulrich Niedermann 2008-12-03 17:11:07 EST
What hardware are you using?

There is no free driver doing any type of acceleration (including Xv) for R6xx or R7xx series chips. The devs are working on changing that behind closed doors, waiting for IP release from AMD.

If you are using an R5xx series chip, we have a bug here.

Well, do we have one?
Comment 2 Hin-Tak Leung 2008-12-03 20:22:16 EST
VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

I read that it is equivalent to a R3xx? in any case, I am filing this because I am trying both the radeon and the radeonhd drivers, having recently switched from fglrx. and xvinfo with the radeon+XAA works:

--------------------
X-Video Extension version 2.2
screen #0
  Adaptor #0: "Radeon Textured Video"
    number of ports: 16
    port base: 57
    operations supported: PutImage 
    supported visuals:
      depth 24, visualID 0x21
    no port attributes defined
    maximum XvImage size: 2048 x 2048
    Number of image formats: 4
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
-----------------
so xvideo works with this hardware with the radeon driver. (radeon+XAA, I need nomodeset; radeon+EXA, it is rather unstable and have unsighty tearing; so I am hoping radeonhd works better...)
Comment 3 John Chivall 2008-12-05 05:59:03 EST
Confirmed with PCIE X1600:
02:00.0 VGA compatible controller: ATI Technologies Inc RV530 [Radeon X1600]

Default config, no XAA or EXA - I have no xorg.conf

xorg-x11-drv-radeonhd-1.5.20081112git.fc10

$ xvinfo
X-Video Extension version 2.2
screen #0
 no adaptors present
Comment 4 John Chivall 2008-12-05 06:04:48 EST
(In reply to comment #3)
> Confirmed with PCIE X1600 (R5xx)
> 02:00.0 VGA compatible controller: ATI Technologies Inc RV530 [Radeon X1600]
> 
> Default config, no XAA or EXA - I have no xorg.conf
> 
> xorg-x11-drv-radeonhd-1.5.20081112git.fc10
> 
> $ xvinfo
> X-Video Extension version 2.2
> screen #0
>  no adaptors present

Sorry, default config is for XAA, so that's what I'm using here.
from Xorg.0.log:
(**) RADEONHD(0): Selected XAA 2D acceleration.
Comment 5 John Chivall 2008-12-05 06:14:41 EST
With xorg-x11-drv-ati-6.9.0
$ xvinfo
X-Video Extension version 2.2
screen #0
  Adaptor #0: "Radeon Textured Video"
    number of ports: 16
    port base: 57
    operations supported: PutImage 
    supported visuals:
      depth 24, visualID 0x21
    number of attributes: 1
      "XV_BICUBIC" (range 0 to 1)
              client settable attribute
              client gettable attribute (current value is 1)
    maximum XvImage size: 4096 x 4096
    Number of image formats: 4
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
Comment 6 Hans Ulrich Niedermann 2008-12-05 06:57:56 EST
OK, I see the problem.

Due to DRI support in radeonhd being quirky (e.g. triggers system hang bug when used together with EXA), radeonhd still requires that you explictly enable DRI to get acceleration support:

Section "Device"
   Driver "radeonhd"
   Option "DRI"
EndSecion

Does this help you?
Comment 7 John Chivall 2008-12-05 08:07:18 EST
That works, although I already had DRI working for 3d accel without anything in xorg.conf. Now both xv and 3d acceleration appear to work fine - success, thanks!

I've just seen that this is (almost) documented in the man for radeonhd, although it only refers to 3d acceleration and not video. Perhaps a note could be added?
Currently:
Option "DRI"
              Use this option to enable 3D acceleration using  DRI  (R5xx  and
              RS6xx  chips  only  for  the moment).  Currently, the default is
              off.
Comment 8 Hans Ulrich Niedermann 2008-12-05 19:26:34 EST
(In reply to comment #7)
> That works, although I already had DRI working for 3d accel without anything in
> xorg.conf. Now both xv and 3d acceleration appear to work fine - success,
> thanks!

I'm glad to hear.

> I've just seen that this is (almost) documented in the man for radeonhd,
> although it only refers to 3d acceleration and not video. Perhaps a note could
> be added?

Oh. Certainly. I'll do that. Good catch.
Comment 9 Hans Ulrich Niedermann 2008-12-05 19:27:34 EST
Reporter, does 'Option "DRI"' resolve the issue for you as well?
Comment 10 Hin-Tak Leung 2008-12-05 20:06:56 EST
Created attachment 325954 [details]
my Xorg.0.log with radeonhd and dri

Am afraid xvideo is still no-go for me, even with dri specified.

Here is the full Xorg.0.log - you could see it has loaded radeonhd and dri, but it says "AIGLX: Screen 0 is not DRI capable". I hope somebody can find out more from the full log. The hardware does support xvideo with the open-source radeon driver (just with general stability problem when exa is specified, probably similiar), so somebody and some code out that can make it work...

I monitor koji from time to time, and I am happy to try.
Comment 11 Hin-Tak Leung 2008-12-05 23:02:31 EST
Created attachment 325959 [details]
Xorg.0.log, with koji build a few hours ago, still no xvideo

with xorg-x11-drv-radeonhd-1.2.3-1.7.20081206git.fc11 from koji, still no xvideo.
Comment 12 bashaarman 2008-12-12 11:46:04 EST
I have the same problem.
But using the kernel parameter nomodeset, all works well.
Comment 13 Hans Ulrich Niedermann 2008-12-12 14:52:51 EST
This now looks like another case of the conflict with kernel modesetting.

Could you try confirming that by booting with kernel parameter "nomodeset"?
Comment 14 Hin-Tak Leung 2008-12-13 03:18:35 EST
(In reply to comment #13)
> This now looks like another case of the conflict with kernel modesetting.
> 
> Could you try confirming that by booting with kernel parameter "nomodeset"?

------------------
You are totally correct - with momodeset, 
kernel-2.6.27.9-152.rc2.fc10 xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc10 
(just upgraded), xvinfo now shows:
X-Video Extension version 2.2
screen #0
  Adaptor #0: "RadeonHD Textured Video"
    number of ports: 16
    port base: 97
    operations supported: PutImage 
    supported visuals:
      depth 24, visualID 0x21
    no port attributes defined
    maximum XvImage size: 2048 x 2048
    Number of image formats: 4
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
----------------
Comment 15 Hin-Tak Leung 2008-12-13 03:53:41 EST
Argh, this line in the old log (not in nomodeset boot Xorg log's) apparently says drm doesn't work... - just in case anybody else might be looking.

(EE) RADEONHD(0): [drm] Could not create vertex/indirect buffers list
Comment 16 Jeff Cook 2009-01-25 01:37:20 EST
Word, I experience the same thing. No xv with radeonhd and kernel mode-setting and DRI enabled in the xorg.conf.

From lspci: 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]

xvinfo reports lots of stuff when booted with nomodeset.
Comment 17 Hans Ulrich Niedermann 2009-01-25 10:32:56 EST
radeonhd's DRI and kernel based modesetting (KMS) do not work together.

You have three options:
 * boot the kernel with nomodeset, use radeonhd with DRI
 * boot the kernel with KMS, use radeonhd without DRI and hope for the best
 * boot the kernel with KMS, use radeon with DRI
Comment 18 Jeff Cook 2009-01-25 18:41:27 EST
Uh, right, but radeonhd _should_ work with KMS, so that's why this is a bug.
Comment 19 Mike Lothian 2009-03-21 19:52:36 EDT
I'm having the same problem with radeon driver with KMS and DRI on an rs690
Comment 20 Mike Lothian 2009-03-21 20:17:35 EDT
With KMS off and using the radon driver with DRI FPS doubles in speed in glxgears and video is shown on the screen but is rendering at about 1fps (so slight improvement)
Comment 21 Bug Zapper 2009-06-09 06:02:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Matěj Cepl 2009-11-05 13:20:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 23 Hin-Tak Leung 2009-11-26 20:15:01 EST
still no xvideo in F12 by default. (unless DRI is set).
Comment 24 Alexandr Kara 2009-12-01 04:35:09 EST
I am having the same problems with ATI HD4670 (RV730XT). No XVideo, no 3D acceleration with KMS, no problems without KMS. 100% reproducible.

I am using a r600 driver from mesa-dri-drivers-experimental (I don't know whether it is relevant).
Comment 25 Hin-Tak Leung 2009-12-01 05:02:45 EST
(In reply to comment #24)
> I am having the same problems with ATI HD4670 (RV730XT). No XVideo, no 3D
> acceleration with KMS, no problems without KMS. 100% reproducible.
> 
> I am using a r600 driver from mesa-dri-drivers-experimental (I don't know
> whether it is relevant).  

Swtich to use the ati driver (it also supports a lot of radeon hardware) may work for you if your hardware is supported. You should try without an xorg.conf to see if that works. (ati is the default for supported hardware).

I filed this when I was experimenting between ati and radeonhd - my hardware works with both (as well as the vendor fglrx, for old kernel) but ati used to have stability issues. Now the stability issue is okay, and with Novell letting a few of the radeonhd developers go a few months ago, radeonhd is no longer being actively worked on so if you can switch to ati, you should.
Comment 26 Alexandr Kara 2009-12-01 05:07:01 EST
I compared the two Xorg.0.log files and found some differences:

1. Without KMS, it reports several times connected outputs, with KMS, it reports:
Output DVI-0 has no monitor section (and the same for VGA-0 and HDMI-0).

2. With KMS, it complains:

(WW) RADEON(0): Color tiling is not yet supported on R600/R700
(II) RADEON(0): KMS Color tiling disabled

later, it prints:

(II) RADEON(0): GPU accel not working, using shadowfb for KMS

and then:

(WW) RADEON(0): Direct rendering disabled
(II) RADEON(0): Acceleration disabled

and then:

(II) RADEON(0): Screen 0 is not DRI capable
Comment 27 Alexandr Kara 2009-12-01 05:07:47 EST
I am using the ati driver (radeon), not radeonhd... I will now try without xorg.conf.
Comment 28 Alexandr Kara 2009-12-01 05:14:25 EST
Without any xorg.conf, it behaves the same (no XVideo, no 3D).
Comment 29 Bug Zapper 2010-04-27 08:25:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2010-06-28 06:51:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.